Name: ccache
Version: 2.4
Release: alt3

Summary: Compiler cache
License: GPL
Group: Development/Other
Url: http://ccache.samba.org/

Source: http://ccache.samba.org/ftp/ccache/ccache-%version.tar.bz2
Patch0: %name-%version-env-alt.patch
Patch1: %name-2.4-alt-debian-compressed-cache.patch
Patch2: %name-2.4-debian-long-options.patch
Patch3: %name-2.4-debian-ignore-profile.patch
Patch4: %name-2.4-debian-md.patch
Patch5: %name-2.4-debian-manpage-hyphens.patch
Patch6: %name-2.4-debian-cachedir.tag.patch
Patch7: %name-2.4-debian-lru-cleanup.patch
Patch8: %name-2.4-debian-no-home.patch
Patch9: %name-2.4-debian-cachesize-permissions.patch
Patch10: %name-2.4-debian-respectflags.patch
Patch11: %name-2.4-debian-utimes.patch
Patch12: %name-2.4-debian-nfs-fix.patch

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

Provides: %name-bte = %version
Obsoletes: %name-bte

BuildPreReq: zlib-devel

%description
ccache is a compiler cache. It acts as a caching pre-processor to
C/C++ compilers, using the -E compiler switch and a hash to detect
when a compilation can be satisfied from cache. This often results in
a 5 to 10 times speedup in common compilations.

%prep
%setup
%patch0 -b .env
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%autoreconf
chmod a+x manage-cache.sh

%build
%configure
%make_build

%install
install -s -D -m 0755 ccache %buildroot%_bindir/%name
install -d -m 0755 %buildroot%_mandir/man1
install -m 0644 ccache.1 %buildroot%_mandir/man1

mkdir -p %buildroot%_sysconfdir/buildreqs/packages/ignore.d
cat > %buildroot%_sysconfdir/buildreqs/packages/ignore.d/%name << EOF
%name
EOF

%files
%doc README manage-cache.sh
%_mandir/man1/ccache.1*
%_bindir/ccache
%_sysconfdir/buildreqs/packages/ignore.d/*

%changelog
* Mon Sep 08 2008 Andrey Rahmatullin <wrar@altlinux.ru> 2.4-alt3
- add Debian patches:
  + respect LDFLAGS when linking
  + use utimes(2) instead of utime(2) when possible
  + zlib compression of cache, enabled by default
  + --long-options
  + don't cache compilations with profiling on
  + fix dependencies when using -o
  + fix hyphens in the manpage
  + add CACHEDIR.TAG support
  + improve LRU-based cache cleanup
  + don't try to use caching when HOME is unset
  + check for errors when setting cache limits
  + behave more reliably when the cache is on NFS
- spec fixes

* Tue Oct 04 2005 Vitaly Lipatov <lav@altlinux.ru> 2.4-alt2
- fix bug #2910

* Sun Nov 07 2004 Vitaly Lipatov <lav@altlinux.ru> 2.4-alt1
- new version

* Fri Jul 23 2004 Vitaly Lipatov <lav@altlinux.ru> 2.3-alt1
- new version
- patch adopted

* Wed Oct 22 2003 Alexey Tourbin <at@altlinux.ru> 1.9-alt3.3
- fixed segfault in env-alt.patch (introduced by ab in 1.9-alt3)

* Thu Oct 16 2003 Stanislav Ievlev <inger@altlinux.ru> 1.9-alt3.2
- removed bte subpackage: ccache now supported by gcc_wrapper

* Mon Jan 06 2003 Alexander Bokovoy <ab@altlinux.ru> 1.9-alt3.1
- Fix dependency loop for post-install and pre-uninstall scriptlets

* Sun Nov 24 2002 Alexander Bokovoy <ab@altlinux.ru> 1.9-alt3
- Update CC/CXX environment patch to better fit BTE

* Wed Oct 23 2002 Alexander Bokovoy <ab@altlinux.ru> 1.9-alt2
- Integrate BTE support

* Thu Oct 10 2002 Victor Forsyuk <force@altlinux.ru> 1.9-alt1
- Add ignore.d files for buildreq.

* Wed May 29 2002 Victor Forsyuk <force@altlinux.ru> 1.9-alt0.1
- Initial build for Sysiphus.
